Subject: bug#46790: 28.0.50; make install with native-comp branch

From: Phil Sainty <[email-masked]>
Date: Sat, 24 Apr 2021 23:59:48 +1200

In case it helps, I've just tried to do a similar test on my system.

I didn't reconfigure from my previous tests, so I'm still using this:

./configure --prefix=/home/phil/emacs/native-comp/usr/local \
  --with-x-toolkit=lucid --without-sound --with-native-compilation

I then used the 'bindir' and 'infodir' options to install those
somewhere else:

make install \
  bindir=/home/phil/emacs/native-comp/elsewhere/usr/local/sbin/emacs-28.0.50 \
  infodir=/home/phil/emacs/native-comp/elsewhere/usr/local/share/info-28.0.50

Next I created a symlink to the new executable:

/home/phil/bin/etest -> /home/phil/emacs/native-comp/elsewhere/usr/local/sbin/emacs-28.0.50/emacs-28.0.50

And this seems to work.  Running it gives me:

$ etest --batch --eval "(print comp-eln-load-path)" --eval "(print (pdumper-stats))"

("/home/phil/.emacs.d/eln-cache/" "/home/phil/emacs/native-comp/usr/local/lib/emacs/28.0.50/native-lisp/")

((dumped-with-pdumper . t) (load-time . 0.021803813) (dump-file-name . "/home/phil/emacs/native-comp/usr/local/libexec/emacs/28.0.50/x86_64-pc-linux-gnu/emacs.pdmp"))